Click or drag to resize

LineTryCreateBetweenCurves Method

Creates a line segment between a pair of curves such that the line segment is either tangent or perpendicular to each of the curves.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static bool TryCreateBetweenCurves(
	Curve curve0,
	Curve curve1,
	ref double t0,
	ref double t1,
	bool perpendicular0,
	bool perpendicular1,
	out Line line
)

Parameters

curve0
Type: Rhino.GeometryCurve
The first curve.
curve1
Type: Rhino.GeometryCurve
The second curve.
t0
Type: SystemDouble
Parameter value of point on curve0. Seed value at input and solution at output.
t1
Type: SystemDouble
Parameter value of point on curve 0. Seed value at input and solution at output.
perpendicular0
Type: SystemBoolean
Find line Perpendicuar to (true) or tangent to (false) curve0.
perpendicular1
Type: SystemBoolean
Find line Perpendicuar to (true) or tangent to (false) curve1.
line
Type: Rhino.GeometryLine
The line segment if successful.

Return Value

Type: Boolean
true on success, false on failure.
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.5
See Also